package com.atlassian.bitbucket.util;

public class TestModeUtils {

    public static final String ATLASSIAN_TEST_MODE = "atlassian.test.mode";

    private TestModeUtils() {
        throw new UnsupportedOperationException(getClass().getName() +
                " is a utility class and should not be instantiated");
    }

    /**
     * @return true if {@code atlassian.test.mode} is enabled
     */
    public static boolean isEnabled() {
        return Boolean.getBoolean(ATLASSIAN_TEST_MODE);
    }
}